Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Michael Weber (xmw)" <xmw@g.o>
Subject: gentoo-x86 commit in media-libs/libexif: ChangeLog libexif-0.6.20.ebuild
Date: Sun, 13 Nov 2011 18:42:05 +0000 (UTC)
xmw         11/11/13 18:42:05

  Modified:             ChangeLog libexif-0.6.20.ebuild
  Log:
  bump EAPI to 4, sed configure directly, prepalldocs restored, -Wall restored (thanks ssuominen for the review)
  
  (Portage version: 2.1.10.11/cvs/Linux x86_64)

Revision  Changes    Path
1.118                media-libs/libexif/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/libexif/ChangeLog?rev=1.118&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/libexif/ChangeLog?rev=1.118&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/libexif/ChangeLog?r1=1.117&r2=1.118

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-libs/libexif/ChangeLog,v
retrieving revision 1.117
retrieving revision 1.118
diff -u -r1.117 -r1.118
--- ChangeLog	13 Nov 2011 18:07:16 -0000	1.117
+++ ChangeLog	13 Nov 2011 18:42:04 -0000	1.118
@@ -1,6 +1,10 @@
 # ChangeLog for media-libs/libexif
 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/libexif/ChangeLog,v 1.117 2011/11/13 18:07:16 xmw Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-libs/libexif/ChangeLog,v 1.118 2011/11/13 18:42:04 xmw Exp $
+
+  13 Nov 2011; Michael Weber <xmw@g.o> libexif-0.6.20.ebuild:
+  bump EAPI to 4, sed configure directly, prepalldocs restored, -Wall restored
+  (thanks ssuominen for the review)
 
   13 Nov 2011; Michael Weber <xmw@g.o> libexif-0.6.20.ebuild:
   remove -g from FLAGS, as pointed out by Agostino Sarubbo (bug 390249)



1.3                  media-libs/libexif/libexif-0.6.20.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/libexif/libexif-0.6.20.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/libexif/libexif-0.6.20.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/libexif/libexif-0.6.20.ebuild?r1=1.2&r2=1.3

Index: libexif-0.6.20.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-libs/libexif/libexif-0.6.20.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- libexif-0.6.20.ebuild	13 Nov 2011 18:07:16 -0000	1.2
+++ libexif-0.6.20.ebuild	13 Nov 2011 18:42:04 -0000	1.3
@@ -1,9 +1,10 @@
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/libexif/libexif-0.6.20.ebuild,v 1.2 2011/11/13 18:07:16 xmw Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-libs/libexif/libexif-0.6.20.ebuild,v 1.3 2011/11/13 18:42:04 xmw Exp $
 
-EAPI=2
-inherit autotools eutils libtool
+EAPI=4
+
+inherit eutils libtool
 
 DESCRIPTION="Library for parsing, editing, and saving EXIF data"
 HOMEPAGE="http://libexif.sourceforge.net/"
@@ -22,16 +23,14 @@
 
 src_prepare() {
 	epatch "${FILESDIR}"/${PN}-0.6.13-pkgconfig.patch
-	#elibtoolize # FreeBSD .so version
-	sed -e '/FLAGS=/s:-g::g' \
-		-e '/FLAGS=/s:-Wall::g' \
-		-i configure.ac
-	eautoreconf
+	elibtoolize # FreeBSD .so version
+
+	# remove -g from FLAGS bug (#390249)
+	sed -i -e '/FLAGS=/s:-g::g' -i configure || die
 }
 
 src_configure() {
 	econf \
-		--disable-dependency-tracking \
 		$(use_enable static-libs static) \
 		$(use_enable nls) \
 		$(use_enable doc docs) \
@@ -39,7 +38,7 @@
 }
 
 src_install() {
-	emake DESTDIR="${D}" install || die
+	emake DESTDIR="${D}" install
 	find "${D}" -name '*.la' -exec rm -f {} +
 	rm -f "${D}"usr/share/doc/${PF}/{ABOUT-NLS,COPYING}
 }





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in net-dns/ddclient: ChangeLog ddclient-3.8.1-r4.ebuild
Next by thread:
gentoo-x86 commit in media-libs/libexif: ChangeLog libexif-0.6.20.ebuild
Previous by date:
gentoo-x86 commit in profiles: ChangeLog
Next by date:
gentoo-x86 commit in app-arch/lzma-utils/files: lzma-nocxx.sh


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.